Subject: guix system init installs grub.cfg gcroot to host

From: Jookia <[email-masked]>
Date: Thu, 25 Feb 2016 14:56:23 +1100

When running 'guix system init', GRUB requires a GC root to be placed in
/var/guix. When building a VM, this GC root is placed in <disk>/var/guix/gcroots
however while building a system on another drive, the GC root is placed on the
host's /var/guix/gcroots , not only overwriting the host's grub.cfg which could
be problematic if GC is run and the host has a different grub.cfg to the system
being inited, but the system being inited lacks the grub.cfg and can run GC and
clear out its GRUB files itself.

'guix system reconfigure' once you're inside the new system fixes this issue for
the new system, but the host system may still have a broken grub.cfg and will
need reconfiguring also.